- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FlowShopOpMutationExchange Class Reference

Exchange mutation operator for the flow-shop. More...

`#include <FlowShopOpMutationExchange.h>`

Inheritance diagram for FlowShopOpMutationExchange:

List of all members.

## Public Member Functions
std::string | className () const
| the class name (used to display statistics)
bool | operator() (FlowShop &_flowshop)
| modifies the parent with an exchange mutation

## Detailed Description

Exchange mutation operator for the flow-shop.

Definition at line 22 of file FlowShopOpMutationExchange.h.

## Member Function Documentation

bool FlowShopOpMutationExchange::operator() | ( | FlowShop & | _flowshop | ) | `[virtual]`

modifies the parent with an exchange mutation

Parameters:

  | _flowshop | the parent genotype (will be modified)

Implements eoUF< FlowShop &, bool >.

Definition at line 22 of file FlowShopOpMutationExchange.cpp.

References eoRng::random(), and moeoVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity, GeneType >::value().

The documentation for this class was generated from the following files:

- FlowShopOpMutationExchange.h
- FlowShopOpMutationExchange.cpp